Summary: stripped groups panel. only members can added and removed
%define name smeserver-groupmembers-panel
Name: %{name}
%define version 1.0.1
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-userpanel
Requires: smeserver-release >= 7
AutoReq: no
Patch0: smeserver-groupmembers-panel-1.0.1-PanelAndLocalization.patch

%changelog
* Tue Mar 04 2008 Michael Weinberger <mweinber@neddix.de> 1.0.1-1
  Panel navigation & localization 
  Spec file fix
 
* Fri May 04 2007 Michael Weinberger <mweinber@neddix.de>
  Verison 1.0.1
- fixed German heading property
- added delegatedGroups option
* Fri Jan 23 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
A stripped groups panel. Only members can be added and removed
This panel can be delegated to users using the smeserver-userpanel

*********************************************
* After installation run:
* /etc/e-smith/events/actions/navigation-conf
*********************************************

By default the user can edit all groups. You can restrict the 
access to a comma separeted list of groups defined defined in 
property 'delegatedGroups' in the user's account record.

Example: You want permit user 'jsixpack' to edit the group members 
of the groups 'sales' and 'devel':

db accounts setprop jsixpack delegatedGroups sales,devel

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/e-smith/locale/@%attr(0644,root,root) &@"\
 -e "s@^/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/@%attr(0644,root,root) &@"\
 -e "s@^/etc/e-smith/web/functions/groupmembers@%attr(4750,root,admin) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
